package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 黑名单流
 * 
 * @author TONG
 * @email ${email}
 * @date 2019-02-19 19:33:30
 */
@TableName("live_stream_black")
@AllArgsConstructor
@NoArgsConstructor
public class LiveStreamBlackEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 域名
	 */
	private String domain;
	/**
	 * 
	 */
	private String appName;
	/**
	 * 
	 */
	private String streamName;
	/**
	 * unix 时间戳
	 */
	private Integer time;

	/**
	 * 设置：域名
	 */
	public void setDomain(String domain) {
		this.domain = domain;
	}
	/**
	 * 获取：域名
	 */
	public String getDomain() {
		return domain;
	}
	/**
	 * 设置：
	 */
	public void setAppName(String appName) {
		this.appName = appName;
	}
	/**
	 * 获取：
	 */
	public String getAppName() {
		return appName;
	}
	/**
	 * 设置：
	 */
	public void setStreamName(String streamName) {
		this.streamName = streamName;
	}
	/**
	 * 获取：
	 */
	public String getStreamName() {
		return streamName;
	}
	/**
	 * 设置：unix 时间戳
	 */
	public void setTime(Integer time) {
		this.time = time;
	}
	/**
	 * 获取：unix 时间戳
	 */
	public Integer getTime() {
		return time;
	}
}
